package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.Date;

/**
 * @Description : 关联企业支用实体类
 * @Author : L.Jia
 * @Date: 2023-02-16 11:05
 */
@TableName("financial_relation_customer_disburse")
public class FinancialRelationCustomerDisburse extends BaseEntity {

    /** 关联企业表Id **/
    @TableField("financial_relation_customer_id")
    private Long financialRelationCustomerId;

    /** 业务编号 **/
    @TableField("business_no")
    private String businessNo;

    /** 合同编号 **/
    @TableField("contract_no")
    private String contractNo;

    /** 批次号 **/
    @TableField("quota_disburse_batch")
    private Integer quotaDisburseBatch;

    /** 到期日 **/
    @TableField("expire_date")
    private Date expireDate;

    public Long getFinancialRelationCustomerId() {
        return financialRelationCustomerId;
    }

    public void setFinancialRelationCustomerId(Long financialRelationCustomerId) {
        this.financialRelationCustomerId = financialRelationCustomerId;
    }

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }
}
